import java.text.SimpleDateFormat
import java.util.Date

plugins {
    alias(libs.plugins.android.application)
}
val timestamp = SimpleDateFormat("MM_dd_HH_mm").format(Date())
android {
    namespace = "com.key.vibekeyboard"
    compileSdk = 34

    buildFeatures {
        viewBinding = true
    }

        defaultConfig {
        applicationId = "com.key.vibekeyboard"
        minSdk = 23
        targetSdk = 34
        versionCode = 1
        versionName = "1.0.0"
        setProperty("archivesBaseName", "Mobile Keyboard" + versionName + "(${versionCode})_$timestamp")
        testInstrumentationRunner = "androidx.test.runner.AndroidJUnitRunner"
    }

    buildTypes {
        release {
            isMinifyEnabled = true
            proguardFiles(
                getDefaultProguardFile("proguard-android-optimize.txt"),
                "proguard-rules.pro"
            )
        }
    }
    compileOptions {
        sourceCompatibility = JavaVersion.VERSION_1_8
        targetCompatibility = JavaVersion.VERSION_1_8
    }
}

dependencies {

    implementation(libs.appcompat)
    implementation(libs.material)
    implementation(libs.activity)
    implementation(libs.constraintlayout)
    testImplementation(libs.junit)
    androidTestImplementation(libs.ext.junit)
    androidTestImplementation(libs.espresso.core)
    // Room 运行时库
    implementation ("androidx.room:room-runtime:2.6.1")
    // Room 编译器，用于生成代码
    annotationProcessor ("androidx.room:room-compiler:2.6.1")
    // Glide 依赖
    implementation ("com.github.bumptech.glide:glide:4.16.0")
    //Zip
    implementation("com.github.omicronapps:7-Zip-JBinding-4Android:Release-16.02-2.02")


}